List environment variables
curl --request GET \
--url https://api.alpic.ai/v1/environments/{environmentId}/environment-variables \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpic.ai/v1/environments/{environmentId}/environment-variables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpic.ai/v1/environments/{environmentId}/environment-variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"key": "<string>",
"value": "<string>",
"isSecret": true,
"createdAt": "2023-11-07T05:31:56Z"
}
]{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}environments
List environment variables
List all environment variables for an environment
GET
/
v1
/
environments
/
{environmentId}
/
environment-variables
List environment variables
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the environment
Was this page helpful?
⌘I